SDL_GetWindowFullscreenMode(3)

NAME
SDL_GetWindowFullscreenMode - Query the display mode to use when a window is visible at fullscreen.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

const SDL_DisplayMode * SDL_GetWindowFullscreenMode(SDL_Window *window);

FUNCTION PARAMETERS

window
    the window to query.

RETURN VALUE
(const SDL_DisplayMode
 *) Returns a pointer to the exclusive fullscreen mode to use or NULL for borderless fullscreen desktop mode.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetWindowFullscreenMode(3), •(3), SDL_SetWindowFullscreen(3)